*! version 4.0
* 18 May 2016
* NIDS 
* This do-file contains the code to deflate NIDS Wave 4 financial data

*=====================================================================================================================================
/*
* NOTE TO USERS

THIS DO FILE CREATES DEFLATORS FOR USE WITH THE MERGED WAVE 1, 2 3 AND 4 DATASETS. BASE MONTH IS NOVEMBER 2014 (WAVE 4 MODAL MONTH) AND 
INTERVIEW DATES ARE TAKEN FROM THE HOUSEHOLD QUESTIONNAIRE. MISSING INTERVIEW MONTHS ARE IMPUTED TO THE MODAL MONTH FOR THE RELEVANT WAVE.

PRICE INDICES ARE FROM THE NATIONAL HEADLINE CPI INDEX PUBLISHED BY STATS SA, AVAILABLE HERE:
http://www.statssa.gov.za/publications/P0141/CPIHistory.pdf?
(Last accessed 15/03/2016).

            2008	2010	2011	2012	2014	2015
January		74.8	86.4	89.6	95.2	106.1	110.8
February	75.1	87.0	90.2	95.7	107.3	111.5	
March		76.3	87.7	91.3	96.8	108.7	113.1
April		77.7	87.8	91.6	97.2	109.2	114.1
May         78.5	88.0	92.0	97.2	109.4	114.4
June		79.6	88.0	92.4	97.5	109.7	114.9
July		81.2	88.6	93.2	97.8	110.6	116.1
August		81.8	88.6	93.4	98.0	111.0	116.1	
September	81.9	88.7	93.8	98.9	111.0	116.1
October		81.9	88.9	94.2	99.5	111.2	116.4
November	82.0	89.0	94.5	99.8	111.2	116.5	
December	81.1	89.2	94.6	100		111.0	116.8

*/

*=====================================================================================================================================
* GLOBALS FOR DATA FILES AND VERSION SUFFIXES

global W4Data "C:\Users\Admin\Desktop\Beta2 Release\Data\Wave 4" //File path to where input data is located. Change this path according to where your data folder in located on your computer.
global W4VerIN "W4_Anon_V1.0"

global DataOUT "C:\Users\Admin\Desktop\Beta2 Release\OUT"		//File path to where you want to save subsequent data files. 
global VersionOUT "merged"

global temp "C:\Users\Admin\Desktop"							// tempfile to hold all the working datasets, all working datasets will
																// be deleted from this folder at the completion of the do file execution.
																		
version 12.0													// version of Stata being used, this is needed for the rename command.

clear
cap clear matrix
set more off

scalar base=111.2 												// set scalar to base month , currently Nov 2014

*=====================================================================================================================================

* HOUSEHOLD QUESTIONNAIRE
use "$W4Data\HHQuestionnaire_$W4VerIN.dta", clear

*Wave 4
gen w4_deflator=.

replace w4_deflator=base/111.2 if w4_h_intrv_m==10 & w4_h_intrv_y==2014
replace w4_deflator=base/111.2 if w4_h_intrv_m==11 & w4_h_intrv_y==2014
replace w4_deflator=base/111.0 if w4_h_intrv_m==12 & w4_h_intrv_y==2014

replace w4_deflator=base/110.8 if w4_h_intrv_m==1 & w4_h_intrv_y==2015
replace w4_deflator=base/111.5 if w4_h_intrv_m==2 & w4_h_intrv_y==2015
replace w4_deflator=base/113.1 if w4_h_intrv_m==3 & w4_h_intrv_y==2015
replace w4_deflator=base/114.1 if w4_h_intrv_m==4 & w4_h_intrv_y==2015
replace w4_deflator=base/114.4 if w4_h_intrv_m==5 & w4_h_intrv_y==2015
replace w4_deflator=base/114.9 if w4_h_intrv_m==6 & w4_h_intrv_y==2015
replace w4_deflator=base/116.1 if w4_h_intrv_m==7 & w4_h_intrv_y==2015
replace w4_deflator=base/116.1 if w4_h_intrv_m==8 & w4_h_intrv_y==2015

replace w4_deflator=base/111.2 if w4_h_intrv_m==. & w4_h_outcome==1

lab var w4_deflator "Wave 4 deflator"

keep w4_hhid w4_deflator

merge 1:1 w4_hhid using "$W4Data\hhderived_$W4VerIN.dta"
drop _merge

save "$DataOUT\deflated_W4_$VersionOUT.dta", replace

*=====================================================================================================================================

* end of do file
